<?php

require "racs.php";
require "vtshowsBBB.php";

session_start();

if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");
}
?>

<html>
<title>Sales program</title>

<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>


<link rel="stylesheet" type="text/css" href="vtxstyles.css">

<script>

function scopys(pr)
{
var dts=document.getElementById("dt");

var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;

for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}

}


</script>


</head>

<body style='font-family:calibri;font-size:small;'>

<div style='width=30%;height:100%%;'>

<?php


$flt=racs(1);

if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{

$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_diana");


if(isset($_REQUEST['starts'])){
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

#$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}

stps(1);#printf("<div class='mds'></div>");

printf("<div class='sds'>");
prshows('pr','region','pvts','sales','Range achievement',$zones,$regions,$agents,$agenttypes,$terrys,$ranges,$subranges,$items);

printf("</div>");


printf("<div class='mnf'>");

printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>Region - Range wise achievement summary</div>");


$tv=0;
$tz=0;
$arr=array();

printf("<BR><BR>");
$sprt="&zones=".$zones."&regions=".$regions."&subregions=".$subregions."&agents=".$agents."&agenttypes=".$agenttypes."&terrys=".$terrys."&ranges=".$ranges."&items=".$items."&subranges=".$subranges;

printf("<div style='width:80%%;height:5%%;border:0px solid silver;border-radius:2px;display:table;vertical-align:middle;'>");

printf("<form method='post' action='vtprregionrangewisetgsummary.php?actp=rpt%s'><table style='width:100%%;font-size:13;'>",$sprt);
$sqlst="select distinct rgs from (select distinct zone_orders as rds,regions as rgs from rc_invoices union select distinct zone_orders,regions from rc_targets order by rds) as zns";
$qry=mysqli_query($conn,$sqlst);

printf("<tr><td width=5%%><input type='text' id='inputField' value='%s' name='starts' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td width=1%%>-</td><td width=5%%><input type='text' id='inputField2' value='%s' name='ends' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td>
<td width=20%%><select name='regions' style='width:95%%;font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'><option>%s</option><option>All</option>",$starts,$ends,$regions);
while($rst=mysql_fetch_row($qry)){
printf("<option>%s</option>",$rst[0]);}	
printf("</select></td><td><input type='submit' value='Go' style='font-size:13;background:#CACACA;color:#006699;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></td></form>",$starts,$ends);

printf("<td width=38%% align='right' style='color:grey;'>Search</td><td width=20%%>
<input type='text' id='srctxt' size=28 style='font-family:calibri;font-size:14;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td><td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>");
printf("</table>");


printf("<table id='dt' style='width:100%%;font-size:13;border-collapse:collapse;color:#006699;'>
<tr style='background:silver;border:1px solid white;text-align:right;'><td style='border:1px solid white;text-align:left;'>Range</td><td style='border:1px solid white;'>Target sale</td>
<td style='border:1px solid white;'>Actual sale</td><td style='border:1px solid white;text-align:center;'>Achieved</td><td>Variance</td>
<td style='border:1px solid white;'>Target Kg</td><td style='border:1px solid white;'>Actual Kg</td><td style='border:1px solid white;text-align:center;'>Achieved</td>
<td style='border:1px solid white;'>Variance</td></tr>");

$sqlst="select mzones,tgvl,acvl,tgwt,acwt from (select distinct item_ranges as mzones from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".
$ends."') as ags left join (select item_ranges,sum(box_qty*box_price) as tgvl,sum(box_qty*packets_per_box*packet_weights/1000) as tgwt from rc_targets ".$flt." and 
dates>='".$starts."' and dates<='".$ends."' group by item_ranges) as tgs on tgs.item_ranges=mzones left join (select item_ranges,sum(box_qty*box_price) as acvl,
sum(box_qty*packets_per_box*packet_weights/1000) as acwt from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' group by item_ranges) 
as acs on acs.item_ranges=mzones ";

 
$tgv=0;
$acv=0;
$tgw=0;
$acw=0;

 
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$tgv=$tgv+$rst[1];
$acv=$acv+$rst[2];
$tgw=$tgw+$rst[3];
$acw=$acw+$rst[4];

if($rst[1]==0){
$pcs=100;}
else{
$pcs=$rst[2]*100/$rst[1];}
	
if($rst[3]==0){
$wpcs=100;}
else{
$wpcs=$rst[4]*100/$rst[3];}

printf("<tr style='border-bottom:1px solid silver;'><td>%s</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='center'>%s%%</td><td align='right'>%s</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='center'>%s%%</td><td align='right'>%s</td>",
$rst[0],number_format($rst[1],0,'.',','),number_format($rst[2],0,'.',','),
number_format($pcs,0,'.',','),number_format($rst[2]-$rst[1],0,'.',','),number_format($rst[3],0,'.',','),number_format($rst[4],0,'.',','),
number_format($wpcs,0,'.',','),number_format($rst[4]-$rst[3],0,'.',','));
}


if($tgv==0){
$pcs=100;}
else{
$pcs=$acv*100/$tgv;}
	
if($tgw==0){
$wpcs=100;}
else{
$wpcs=$acw*100/$tgw;}

printf("<tr style='border-bottom:1px solid silver;font-weight:bold;'><td>Total</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='center'>%s%%</td><td align='right'>%s</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='center'>%s%%</td><td align='right'>%s</td>
</tr></table>",number_format($tgv,0,'.',','),number_format($acv,0,'.',','),
number_format($pcs,0,'.',','),number_format($tgv-$acv,0,'.',','),number_format($tgw,0,'.',','),number_format($acw,0,'.',','),
number_format($wpcs,0,'.',','),number_format($tgw-$acw,0,'.',','));


printf("</div>");

}

?>

</div>
</body>
</html>